Bug 749239 - [abrt] yum-3.4.3-5.fc16: yummain.py:51:exIOError:UnicodeDecodeError: 'ascii' codec can't decode byte 0xe6 in position 11: ordinal not in range(128)
[abrt] yum-3.4.3-5.fc16: yummain.py:51:exIOError:UnicodeDecodeError: 'ascii' ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:9d06918701ed040efeed3c9bacb...
: Reopened
: 711139 749313 749478 749843 751824 752588 753404 755927 756505 756560 757505 758610 758663 759557 759701 759709 759810 760381 760576 765699 765700 768574 802097 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-26 10:47 EDT by Flos Lonicerae
Modified: 2014-01-21 18:20 EST (History)
48 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 15:46:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Flos Lonicerae 2011-10-26 10:47:41 EDT
libreport version: 2.0.6
abrt_version:   2.0.4.981
cmdline:        /usr/bin/python /usr/bin/yum -d 0 -C list all kex*
comment:        run "yum list installed", after getting the result,  abrt pop up
executable:     /usr/bin/yum
kernel:         3.1.0-1.fc16.i686.PAE
reason:         yummain.py:51:exIOError:UnicodeDecodeError: 'ascii' codec can't decode byte 0xe6 in position 11: ordinal not in range(128)
time:           Thu Oct 27 06:45:04 2011
uid:            1000
username:       shine

backtrace:
:yummain.py:51:exIOError:UnicodeDecodeError: 'ascii' codec can't decode byte 0xe6 in position 11: ordinal not in range(128)
:
:Traceback (most recent call last):
:  File "/usr/bin/yum", line 29, in <module>
:    yummain.user_main(sys.argv[1:], exit_code=True)
:  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
:    errcode = main(args)
:  File "/usr/share/yum-cli/yummain.py", line 149, in main
:    return exIOError(e)
:  File "/usr/share/yum-cli/yummain.py", line 51, in exIOError
:    logger.critical(_('\n\n%s') % exception2msg(e))
:UnicodeDecodeError: 'ascii' codec can't decode byte 0xe6 in position 11: ordinal not in range(128)
:
:Local variables in innermost frame:
:unlock: <function unlock at 0x9a481ec>
:e: IOError(13, '\xe6\x9d\x83\xe9\x99\x90\xe4\xb8\x8d\xe5\xa4\x9f')
:logger: <logging.Logger object at 0x9a454ac>
Comment 1 Zdeněk Pavlas 2011-10-31 05:07:39 EDT
*** Bug 749843 has been marked as a duplicate of this bug. ***
Comment 2 Zdeněk Pavlas 2011-10-31 05:12:13 EDT
*** Bug 749478 has been marked as a duplicate of this bug. ***
Comment 3 Zdeněk Pavlas 2011-10-31 05:14:02 EDT
*** Bug 749313 has been marked as a duplicate of this bug. ***
Comment 4 Thynson 2011-11-01 05:01:05 EDT
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
open a terminal, type `yum install xx<TAB>' to expect an auto completion, it crash mostly.
Comment 5 Clément DAVID 2011-11-07 09:41:56 EST
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
With bash-completion enabled, "sudo yum update RPMS/<TAB>" crash yum. I have casual noarch and x86_64 sub-directories on this dir.
Comment 6 Zdeněk Pavlas 2011-11-08 03:18:22 EST
*** Bug 751824 has been marked as a duplicate of this bug. ***
Comment 7 Zdeněk Pavlas 2011-11-08 03:20:24 EST
*** Bug 711139 has been marked as a duplicate of this bug. ***
Comment 8 boucher.samuel.c 2011-11-08 13:17:02 EST
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Use tab to complete package name
Comment 9 boucher.samuel.c 2011-11-09 10:39:31 EST
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Not sure I installed a package, maybe it's a tab completion problem
Comment 10 João Paulo 2011-11-10 16:52:42 EST
Package: yum-3.4.3-5.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
bash completion break
Comment 11 Zdeněk Pavlas 2011-11-11 05:26:30 EST
*** Bug 752588 has been marked as a duplicate of this bug. ***
Comment 12 Lukas Redynk 2011-11-11 06:22:39 EST
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
1. Downloaded kernel source package
2. Typed into term: yum-builddep kern
3. Pressed [Tab]-key twice
Comment 13 melanphos 2011-11-11 07:24:53 EST
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
just used it
Comment 14 Baptiste Mille-Mathias 2011-11-11 15:23:45 EST
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I typed in a term "sudo yum install <TAB> <TAB>" then I had the crash report message box.
Comment 15 chaispaquichui 2011-11-12 04:36:00 EST
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Just lauch yum -C search xyz as normal user
Comment 16 Shenja Sosna 2011-11-12 05:20:25 EST
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
autocomlition in bash (sudo yum install ep [tab] - error)
Comment 17 apal.marlak 2011-11-12 11:47:01 EST
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
This bug appeared while I pressed Tab in Guake to autocomplete my yum command.
Comment 18 Lukasz Wrzosek 2011-11-12 13:59:54 EST
Package: yum-3.4.3-5.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
[lukasz]::[localhost]~
<*> LC_ALL=C yum search -C bash
Loaded plugins: langpacks, presto, refresh-packagekit


[Errno 13] Permission denied: '/var/cache/yum/i386/16/fedora/877fa92998aaf980f39dd4034e7bf68c223bd4741e43d25de94ebf4d1c38682f-comps-f16.xml'
[lukasz]::[localhost]~
<*> LC_ALL=pl_PL.UTF-8 yum search -C bash
Wczytane wtyczki: langpacks, presto, refresh-packagekit
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 149, in main
    return exIOError(e)
  File "/usr/share/yum-cli/yummain.py", line 51, in exIOError
    logger.critical(_('\n\n%s') % exception2msg(e))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc4 in position 20: ordinal not in range(128)
[lukasz]::[localhost]~
<*> yum --version
3.4.3
  Zainstalowane: rpm-4.9.1.2-1.fc16.i686 o 2011-11-11 18:57
  Zbudowane    : Fedora Project o 2011-09-29 13:58
  Wysłane: Panu Matilainen <pmatilai@redhat.com> o 2011-09-29

  Zainstalowane: yum-3.4.3-5.fc16.noarch o 2011-11-11 18:57
  Zbudowane    : Fedora Project o 2011-09-26 09:17
  Wysłane: Richard W.M. Jones <rjones@redhat.com> o 2011-09-26
Comment 19 Lukasz Wrzosek 2011-11-12 14:05:57 EST
I believe that we hit two problems here:
* Yum crashes when it tries to print message with UTF-8 encoded characters when it expects ASCII encoding.
* Not privileged user cannot run    yum search -C smth.
  Do two this problem yum is going to print appropriate message, but fails when UTF-8 encoded locale are selected.
Comment 20 Milan Bouchet-Valat 2011-11-13 16:07:13 EST
Package: yum-3.2.29-9.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I'm reliably getting this error when running as non-root:
yum -C provides extractrc

This is weird since I can install packages without problems, and it works fine as root as without the -C.
Comment 21 Julian Sikorski 2011-11-14 03:04:45 EST
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
This happens when you try to use bash completion. For instance earlier today I tried to update gnome-chemistry-utils:
$ sudo yum --enablerepo=updates-testing gnome-chemistry (hit tab)
and yum crashed with this error.
Comment 22 Zdeněk Pavlas 2011-11-14 03:28:27 EST
*** Bug 753404 has been marked as a duplicate of this bug. ***
Comment 23 Adrien Bustany 2011-11-14 17:15:21 EST
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Ran yum -C whatprovides */libasound.so.2
Comment 24 Jean-Christophe G. 2011-11-15 16:50:43 EST
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Hello,

This bug appears every times I use completion in a terminal with the following command :

sudo yum install ....<TAB>

So, I think this problem is bound to the "bash-completion" package

Regards
Comment 25 brice 2011-11-16 05:46:40 EST
Package: yum-3.4.3-5.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
the problem occur when i try to use autocpletion with yum, 
and the auto-completion of the package name is not done
Comment 26 Arthur Rodrigues 2011-11-16 07:48:32 EST
Package: yum-3.4.3-5.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
I was trying to search for a new package to install using the autocomplete feature for yum. I typed "sudo yum install libncurses" and then two times the tab key.
Comment 27 Flos Lonicerae 2011-11-17 05:48:08 EST
Package: yum-3.4.3-5.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
running yum with many quick tab keys pressed
Comment 28 Stéphane Maniaci 2011-11-19 07:18:25 EST
Package: yum-3.4.3-5.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
I think it happens everytime I'm trying to use bash completion in yum (yum install gstre<TAB>).
Comment 29 Arthur Rodrigues 2011-11-20 22:42:27 EST
Package: yum-3.4.3-5.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
I was trying to discover which package provides algorithm2e environment for my latex installation, and then it crashed.
I remember to have passed the -C option to yum.
Comment 30 crazyman_2002 2011-11-21 05:47:49 EST
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
i write in terminal sudo yum install aircra and press tab
Comment 31 cnangel 2011-11-21 09:09:24 EST
Package: yum-3.4.3-5.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
press tab for autocompete
Comment 32 Lukas Redynk 2011-11-21 09:34:03 EST
Today I observed interesting thing: bash autocompletion works fine with Fedora 16 server (x86-64), headless (no X) and without installed PackageKit.

[root@xxx ~]# yum info yum
Zainstalowane pakiety
Nazwa              : yum
Architektura       : noarch
Wersja             : 3.4.3
Wydanie            : 5.fc16
Rozmiar            : 5.0 M
Repozytorium       : installed
Comment 33 Secrius 2011-11-21 16:23:46 EST
Package: yum-3.4.3-5.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
Start up gnome-terminal.
Type in it:
sudo yum install libre
then, press <Tab> button. Error messge.

I always have error in yum if i type in console:
sudo yum istall (something)
and press <tab> button.
Comment 34 Zdeněk Pavlas 2011-11-22 09:09:03 EST
*** Bug 755927 has been marked as a duplicate of this bug. ***
Comment 35 brice 2011-11-22 19:55:02 EST
Package: yum-3.4.3-5.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
when i try to use yum with the -C (use cache) to search a paquet , i get a crash.i can reproduce it each time. i noticed that if i try the same command as root, yum don't crash.
Comment 36 Zdeněk Pavlas 2011-11-24 04:46:30 EST
*** Bug 756560 has been marked as a duplicate of this bug. ***
Comment 37 yowky286 2011-11-26 08:50:52 EST
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Tried searching cache with "yum search -C"
Comment 38 Zdeněk Pavlas 2011-11-28 04:14:39 EST
*** Bug 757505 has been marked as a duplicate of this bug. ***
Comment 39 Zdeněk Pavlas 2011-11-28 09:59:55 EST
*** Bug 756505 has been marked as a duplicate of this bug. ***
Comment 40 Alexandre Machado 2011-11-29 11:55:56 EST
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
tried to use "tab completion" on yum command line
Comment 41 Zdeněk Pavlas 2011-11-30 02:53:38 EST

*** This bug has been marked as a duplicate of bug 758574 ***
Comment 42 Zdeněk Pavlas 2011-11-30 05:36:04 EST
Reopening, as it's a different bug, just triggered by 758574.
Comment 43 Zdeněk Pavlas 2011-11-30 05:41:47 EST
Fixed in commit 01af4b12b

Author: Zdeněk Pavlas <zpavlas@redhat.com>
Date:   Mon Oct 31 10:01:40 2011 +0100

    Fix a corner case in exception2msg(). BZ 749239.
    
    Under some locales, python creates UTF8 encoded non-unicode
    exceptions.  For such, exception2msg() returns values that
    fail to convert to unicode.
Comment 44 Zdeněk Pavlas 2011-11-30 09:29:54 EST
*** Bug 758663 has been marked as a duplicate of this bug. ***
Comment 45 Tiago Baptista Noronha 2011-12-04 12:17:15 EST
Package: yum-3.4.3-5.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
The problem happen when I try to autocomplete  (TAB key) the name of packages in yum on command line (GNOME terminal).
Comment 46 Zdeněk Pavlas 2011-12-05 05:49:39 EST
*** Bug 759810 has been marked as a duplicate of this bug. ***
Comment 47 Zdeněk Pavlas 2011-12-05 05:50:52 EST
*** Bug 759709 has been marked as a duplicate of this bug. ***
Comment 48 Zdeněk Pavlas 2011-12-05 05:51:38 EST
*** Bug 759701 has been marked as a duplicate of this bug. ***
Comment 49 Zdeněk Pavlas 2011-12-05 05:59:19 EST
*** Bug 759557 has been marked as a duplicate of this bug. ***
Comment 50 Zdeněk Pavlas 2011-12-06 02:41:33 EST
*** Bug 760381 has been marked as a duplicate of this bug. ***
Comment 51 Zdeněk Pavlas 2011-12-06 10:17:52 EST
*** Bug 760576 has been marked as a duplicate of this bug. ***
Comment 52 Zdeněk Pavlas 2011-12-09 02:58:50 EST
*** Bug 765700 has been marked as a duplicate of this bug. ***
Comment 53 Zdeněk Pavlas 2011-12-09 02:59:33 EST
*** Bug 765699 has been marked as a duplicate of this bug. ***
Comment 54 Julian Sikorski 2011-12-15 14:01:28 EST
Can we have an updated package please?
Comment 55 Petr Kočandrle 2011-12-15 14:27:15 EST
The problem is still in 3.4.3-7.
Comment 56 James Antill 2011-12-16 11:49:06 EST
Can you try the rawhide rebuild: http://repos.fedorapeople.org/repos/james/yum-rawhide/
Comment 57 Jean-Christophe G. 2011-12-17 18:44:52 EST
Hi James,

I have updated my yum package with your repo.  So, "yum-3.4.3-16.fc16.noarch" is installed on my system.

Completion is now working when I try a "yum install something..."

However, there is no completion with a "yum -C search something..."

Thanks.
Comment 58 Zdeněk Pavlas 2011-12-19 03:11:40 EST
*** Bug 768574 has been marked as a duplicate of this bug. ***
Comment 59 Panu Matilainen 2012-02-09 02:55:12 EST
*** Bug 758610 has been marked as a duplicate of this bug. ***
Comment 60 Zdeněk Pavlas 2012-03-12 04:03:27 EDT
*** Bug 802097 has been marked as a duplicate of this bug. ***
Comment 61 Fedora Admin XMLRPC Client 2012-04-27 11:25:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 62 Fedora End Of Life 2013-01-16 11:46:17 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 63 Fedora End Of Life 2013-02-13 15:46:10 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.